Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	motocross game
Name:		xmoto
Version:	0.5.2
Release:	1
License:	GNU/GPL
URL:		http://xmoto.sourceforge.net/
Group:		Games
Source0:	%{name}-%{version}-src.tar.gz
Source200:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-buildroot

# prevent the propietary openGL incarnations
BuildConflicts:	xorg-x11-drv-fglrx
BuildConflicts:	xorg-x11-drv-nvidia
BuildConflicts:	xorg-x11-drv-nvidia-legacy
BuildConflicts:	xorg-x11-drv-nvidia-legacy96xx

#Automatically resolved build dependencies
BuildRequires: bzip2-devel
BuildRequires: curl-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: ode-devel
BuildRequires: SDL-devel
BuildRequires: SDL_mixer-devel
BuildRequires: SDL_net-devel
BuildRequires: SDL_ttf-devel
BuildRequires: sqlite-devel
BuildRequires: zlib-devel

%description
X-Moto is a challenging 2D motocross platform game,
where physics play an all important role in the gameplay.
You need to control your bike to its limit,
if you want to have a chance finishing the more difficult of the challenges.

%post

%prep
%setup -q -n %{name}-%{version}

%build
%configure --enable-threads=posix --with-renderer-openGl=1
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_applications
cp %{SOURCE200} $RPM_BUILD_ROOT%_applications
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/xmoto
%{_datadir}/applications/xmoto.desktop
%{_datadir}/locale/*/LC_MESSAGES/xmoto.mo
%{_mandir}/man6/xmoto.6.gz
%{_datadir}/xmoto/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.5.2-1
- Version update
* Sat Apr 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.5.1-2
- enabled threading support
- explicitly compiled with openGL renderer
* Mon Apr 20 2009 Christian Wasem <wasem@ccux-linux.de> 0.5.1-1
- Version update
* Sun May 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.4.3-1
- Version update
- svn 2323
* Sun Feb 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.4.0-1
- Version update
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 0.3.4-1
- Version update
* Sun Aug 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.3.2-1
- Version update
* Sun Dec 31 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2.4-2
- rebuilt against ode 0.7
* Sat Dec 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2.4-1
- Version update
* Sun Oct 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2.2-1
- Version update
* Tue Sep 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2.1-1
- Version update
* Sat Aug 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2.0-1
- Initial Release
